import QtQuick 2.15
import QtQuick.Window 2.15
import QtQuick3D 1.15

Window {
	width: 640
	height: 480
	visible: true
	title: qsTr("Hello World")
	View3D {
		id: view3D
		anchors.fill: parent
		SceneEnvironment {
			id: sceneEnvironment
			antialiasingQuality: SceneEnvironment.High
			antialiasingMode: SceneEnvironment.MSAA
		}

		Node {
			id: scene
			DirectionalLight {
				id: directionalLight
				x: -0
				y: 0
				z: 197.0522
			}

			PerspectiveCamera {
				id: camera
				x: 0
				y: 242.275
				eulerRotation.z: -0.00001
				eulerRotation.y: 0
				eulerRotation.x: -35.93277
				z: 350
			}

			Model {
				id: plane
				x: -139
				y: 0
				source: "#Rectangle"
				z: 0
				scale.y: 0.94
				scale.x: 1.28
				materials: rectMaterial_nolighting
				DefaultMaterial {
					id: rectMaterial_nolighting
					lighting: DefaultMaterial.NoLighting
					opacityMap: texture_opacity
					diffuseMap: texture_diffuse
				}
			}

			Texture {
				id: texture_diffuse
				source: "Qt_logo_2016.svg.png"
				tilingModeHorizontal: Texture.Repeat
				positionU: 0
			}

			Texture {
				id: texture_opacity
				source: "Gradiant_lineaire_512_alpha.png"
				positionU: -0.1
			}

			Model {
				id: plane1
				x: 139
				y: -0
				source: "#Rectangle"
				z: 0
				scale.x: 1.28
				DefaultMaterial {
					id: rectMaterial_lighting
					opacityMap: texture_opacity
					diffuseMap: texture_diffuse
				}
				materials: rectMaterial_lighting
				scale.y: 0.94
			}
		}
		environment: sceneEnvironment
	}
}
